#!/bin/bash

## set perlib location
#export PERL5LIB=/home/hf2304/galaxy/czlab/NMPre/perl_lib:/home/hf2304/hf_tools/vcftools/src/perl:/home/hf2304/perl_lib_galaxy:/home/hf2304/perl_lib2:/ifs/data/c2b2/cz_lab/tools/R-2.7.1/R.framework/Resources/library/RSPerl/perl/darwin-thread-multi-ld-2level:/home/hf2304/czlab_src/CASE
export PERL5LIB=/home/hf2304/galaxy/splicescope/source/perl_lib/czplib:$PERL5LIB
export CACHEHOME=/data/galaxy/cache
quantasDir="/home/hf2304/galaxy/splicescope/source/quantas/countit/"
annotationDir="/home/hf2304/galaxy/splicescope/source/annotation/mm10/"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

args=("$@")
ELEMENTS=${#args[@]}

sample_label_file_name="/data/galaxy/cache/samplename_$$.txt"

if [ ${args[1]} == "-s"  ]; then
	 /ifs/data/c2b2/cz_lab/tools/R-3.0.1/bin/Rscript ${DIR}/splicescope.R -s "${args[2]}" -o "${args[0]}" 

else
	bed_files=""
	
	for (( i=2; i<$ELEMENTS; i++ )); do
		if [ $((i%2)) -eq 0 ]; then
			beddir=`echo ${args[${i}]} | cut -d "." -f 1`
			#printf '%s\t' "${args[${i}]}" >> ${DIR}/samplename.txt
			printf '%s\t' "$beddir" >> $sample_label_file_name
			bed_files="${bed_files},${args[${i}]}"
		else  
			printf '%s\n' "${args[${i}]}" >> $sample_label_file_name
		fi
	done
	
	#samplename.txt has been made

	#now get rid of first comma in bed_files
	bed_files="${bed_files:1}"

	/ifs/data/c2b2/cz_lab/tools/R-3.0.1/bin/Rscript ${DIR}/splicescope.R -q $quantasDir -a $annotationDir -b "${bed_files}" -n $sample_label_file_name -o "${args[0]}"

	#now get rid of temp sample name file
	rm $sample_label_file_name

fi

